# wxWindowDC Class Reference
[Device Contexts]

`#include </home/work/projects/wx/2.9/wx/interface/wx/dcclient.h>`

Inheritance diagram for wxWindowDC:
[legend]

## Detailed Description

A wxWindowDC must be constructed if an application wishes to paint on the whole area of a window (client and decorations).

This should normally be constructed as a temporary stack object; don't store a wxWindowDC object.

To draw on a window from inside an EVT_PAINT() handler, construct a wxPaintDC object instead.

To draw on the client area of a window from outside an EVT_PAINT() handler, construct a wxClientDC object.

A wxWindowDC object is initialized to use the same font and colours as the window it is associated with.

##

Library: wxCore
Category: Device Contexts

See also:
  wxDC, wxMemoryDC, wxPaintDC, wxClientDC, wxScreenDC

## Public Member Functions

| wxWindowDC (wxWindow *window)
| Constructor.

List of all members.

## Constructor & Destructor Documentation

wxWindowDC::wxWindowDC | ( | wxWindow * | window | ) |

Constructor.

Pass a pointer to the window on which you wish to paint.

|  | [ top ]